> For the complete documentation index, see [llms.txt](https://docs.wisej.com/hybrid/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/hybrid/start/api/sensors/wisej.hybrid.shared.sensors.gyroscopechangedeventargs.md).

# GyroscopeChangedEventArgs

Namespace: **Wisej.Hybrid.Shared.Sensors**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Contains the current axis reading information from the gyroscope.

{% tabs %}
{% tab title="C#" %}

```csharp
public class GyroscopeChangedEventArgs : EventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class GyroscopeChangedEventArgs
    Inherits EventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/CCV9PPenlC1YZvNh1I6R)GyroscopeChangedEventArgs(reading)

Initializes a new instance of the [GyroscopeChangedEventArgs](/hybrid/start/api/sensors/wisej.hybrid.shared.sensors.gyroscopechangedeventargs.md) class.

| Name        | Type                                                                                    | Description                 |
| ----------- | --------------------------------------------------------------------------------------- | --------------------------- |
| **reading** | [GyroscopeData](/hybrid/start/api/sensors/wisej.hybrid.shared.sensors.gyroscopedata.md) | The gyroscope data reading. |

## Properties

### ![](/files/CCV9PPenlC1YZvNh1I6R)Reading

[GyroscopeData](/hybrid/start/api/sensors/wisej.hybrid.shared.sensors.gyroscopedata.md): The current values of the gyroscope.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/sensors/wisej.hybrid.shared.sensors.gyroscopechangedeventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
